<template>
  <q-card>
    <q-card-section>
      <div class="text-h6">Models</div>
    </q-card-section>
    <div v-if="files.length">
      <q-card-section>
        <q-list bordered>
          <q-item clickable v-ripple v-for="file in files" v-bind:key="file.id" :active="selected_model === file.id" @click="selected_model = file.id" active-class="bg-primary text-black">
            <q-item-section avatar>
              <q-avatar square>
                <img src="~/assets/file.svg" />
              </q-avatar>
            </q-item-section>
            <q-item-section>
              <q-item-label>
                {{file.name}}
              </q-item-label>
              <q-item-label caption>
                {{file.date}} | {{file.size}} GB
              </q-item-label>
            </q-item-section>
          </q-item>
        </q-list>

      </q-card-section>
      <q-space />
      <q-card-section>
        <q-btn color="primary" label="Use Selected Model" @click="uploadModel()"/>
      </q-card-section>
    </div>
    <div v-else>
      <q-card-section>
              <q-icon name="warning" color="grey" size="4rem"/>
      <div class="text-caption">No Models available</div>
      </q-card-section>
    </div>
  </q-card>
</template>

<script>
import { ref } from 'vue';
import { useNextCloudStore } from 'stores/backend'

export default {
  setup () {
    const nextCloudStore = useNextCloudStore();

    const files = ref(nextCloudStore.getFiles("models"));
    const selected_model = ref(null);
    return {
      files, 
      selected_model,
      uploadModel(){
        var active_model = files.value.find(element => element.id = selected_model);
        //TODO: Upload to pi
      }
    }
  }
}
</script>